Set the weekdays of an automated test

Replaces the set of weekdays on which the automated test runs. Weekdays follow the ISO convention (0 = Sunday, 1 = Monday, …, 6 = Saturday). Any previously configured runs are removed and replaced with the provided list.

Path Parameters
  • id
    Type: integerFormat: int32
    required

    ID of the automated test to configure.

Body·
required
application/json

Set the weekdays of an automated test

  • weekdays
    Type: array integer[]
    required

    Array of weekday numbers on which the test should run. 0 = Sunday, 1 = Monday, …, 6 = Saturday.

Responses
  • 200

    The weekdays were updated

  • application/json
Request Example for post/v1/automated_tests/{id}/runs
curl http://api.mailreach.co/api/v1/automated_tests/42/runs \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN' \
  --data '{
  "weekdays": [
    1,
    3,
    5
  ]
}'
No Body